Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Graphics
Class GArrow

    java.lang.Object
      SEdit.Graphics.GObject
          SEdit.Graphics.GArrow

Direct Known Subclasses:
  GPetriArrow, GSegmentedArrow

    public class GArrow

extends GObject

CLASSE GArrow /

Field Summary
`protected static int` | `bigRb`
`protected static int` | `bigRp`
`static int` | `BROKEN_LINE`
`protected static int` | `defaultRb`
`protected static int` | `defaultRp`
`static int` | `DIAMONDEND`
`static int` | `DIRECT_LINE`
`static int` | `NOTHING`
`protected java.awt.Point` | `p`
`protected java.awt.Point` | `q`
`int` | `ra`
`int` | `ras`
`protected static int` | `rDiamond`
`static int` | `ROUNDEND`
`protected static int` | `rRound`
`protected static int` | `rSquare`
`static int` | `SHARPEND`
`static int` | `SQUAREEND`
`static int` | `WHITESHARPEND`

Fields inherited from class SEdit.Graphics.GObject
`BOTTOM, bounds, CENTER, displayLabel, element, height, labelLocation, LEFT, RIGHT, selected, TOP, TOP_RIGHT, width, x, y`

Constructor Summary
`GArrow()`
`GArrow(int _x, int _y)`

Method Summary
`boolean` | `contains(java.awt.Point p)`
`void` | `displayName(java.awt.Graphics g)`
`protected void` | `drawDiamondEnd(java.awt.Graphics g, java.awt.Point from, java.awt.Point p)`
`protected void` | `drawEnding(java.awt.Graphics g, int formType, java.awt.Point from, java.awt.Point p)`
`protected void` | `drawRoundEnd(java.awt.Graphics g, java.awt.Point p)`
`protected void` | `drawSharpEnd(java.awt.Graphics g, java.awt.Point from, java.awt.Point p)`
`protected void` | `drawSquareEnd(java.awt.Graphics g, java.awt.Point p)`
`protected void` | `drawWhiteSharpEnd(java.awt.Graphics g, java.awt.Point from, java.awt.Point p)`
`protected void` | `fixBounds(java.awt.Point _q, java.awt.Point _p)`
`java.awt.Rectangle` | `getBounds()`
`java.awt.Point` | `getCenter()`
`java.awt.Dimension` | `getDimension()`
`int` | `getEndingForm()`
`int` | `getLineStyle()` Get the value of lineStyle.
`int` | `getStartingForm()`
`java.awt.Point` | `intersection(java.awt.Point p)`
`boolean` | `isContainedIn(java.awt.Polygon p)`
`boolean` | `isContainedIn(java.awt.Rectangle r)`
`void` | `paint(java.awt.Graphics g)`
`protected void` | `prepareColor(java.awt.Graphics g)`
`void` | `setCenter(int x, int y)`
`void` | `setEndingForm(int e)`
`void` | `setLineStyle(int v)` Set the value of lineStyle.
`void` | `setStartingForm(int e)`
`void` | `snapToGrid(int s)`

Methods inherited from class SEdit.Graphics.GObject
`alignHorizontalTo, alignVerticalTo, delete, drag, getDisplayLabel, getEditor, getForeground, getHeight, getLabelLocation, getLocation, getRectangle, getSElement, getWidth, init, intersection, isSelectable, isSelected, reInstall, select, setCenter, setDimension, setDisplayLabel, setEditor, setForeground, setHeight, setLabelLocation, setLocation, setLocation, setSElement, setSize, setWidth, translate, translateBound, translateWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIRECT_LINE

    public static final int DIRECT_LINE

See Also:
  Constant Field Values

### BROKEN_LINE

    public static final int BROKEN_LINE

See Also:
  Constant Field Values

### ra

    public int ra

### ras

    public int ras

### q

    protected java.awt.Point q

### p

    protected java.awt.Point p

### defaultRp

    protected static final int defaultRp

See Also:
  Constant Field Values

### defaultRb

    protected static final int defaultRb

See Also:
  Constant Field Values

### bigRp

    protected static final int bigRp

See Also:
  Constant Field Values

### bigRb

    protected static final int bigRb

See Also:
  Constant Field Values

### rSquare

    protected static final int rSquare

See Also:
  Constant Field Values

### rRound

    protected static final int rRound

See Also:
  Constant Field Values

### rDiamond

    protected static final int rDiamond

See Also:
  Constant Field Values

### NOTHING

    public static final int NOTHING

See Also:
  Constant Field Values

### SHARPEND

    public static final int SHARPEND

See Also:
  Constant Field Values

### SQUAREEND

    public static final int SQUAREEND

See Also:
  Constant Field Values

### ROUNDEND

    public static final int ROUNDEND

See Also:
  Constant Field Values

### DIAMONDEND

    public static final int DIAMONDEND

See Also:
  Constant Field Values

### WHITESHARPEND

    public static final int WHITESHARPEND

See Also:
  Constant Field Values

Constructor Detail

### GArrow

    public GArrow()

### GArrow

    public GArrow(int _x,
                  int _y)

Method Detail

### getLineStyle

    public int getLineStyle()

  Get the value of lineStyle.

  Returns:
    Value of lineStyle.

### setLineStyle

    public void setLineStyle(int v)

  Set the value of lineStyle.

  Parameters:
    `v` - Value to assign to lineStyle.

### getEndingForm

    public int getEndingForm()

### getStartingForm

    public int getStartingForm()

### setEndingForm

    public void setEndingForm(int e)

### setStartingForm

    public void setStartingForm(int e)

### getCenter

    public java.awt.Point getCenter()

  Overrides:
    `getCenter` in class `GObject`

### setCenter

    public void setCenter(int x,
                          int y)

  Overrides:
    `setCenter` in class `GObject`

### drawSharpEnd

    protected void drawSharpEnd(java.awt.Graphics g,
                                java.awt.Point from,
                                java.awt.Point p)

### drawWhiteSharpEnd

    protected void drawWhiteSharpEnd(java.awt.Graphics g,
                                     java.awt.Point from,
                                     java.awt.Point p)

### drawSquareEnd

    protected void drawSquareEnd(java.awt.Graphics g,
                                 java.awt.Point p)

### drawRoundEnd

    protected void drawRoundEnd(java.awt.Graphics g,
                                java.awt.Point p)

### drawDiamondEnd

    protected void drawDiamondEnd(java.awt.Graphics g,
                                  java.awt.Point from,
                                  java.awt.Point p)

### fixBounds

    protected void fixBounds(java.awt.Point _q,
                             java.awt.Point _p)

### prepareColor

    protected void prepareColor(java.awt.Graphics g)

### drawEnding

    protected void drawEnding(java.awt.Graphics g,
                              int formType,
                              java.awt.Point from,
                              java.awt.Point p)

### paint

    public void paint(java.awt.Graphics g)

  Overrides:
    `paint` in class `GObject`

### displayName

    public void displayName(java.awt.Graphics g)

  Overrides:
    `displayName` in class `GObject`

### snapToGrid

    public void snapToGrid(int s)

  Overrides:
    `snapToGrid` in class `GObject`

### contains

    public boolean contains(java.awt.Point p)

  Overrides:
    `contains` in class `GObject`

### isContainedIn

    public boolean isContainedIn(java.awt.Rectangle r)

  Overrides:
    `isContainedIn` in class `GObject`

### isContainedIn

    public boolean isContainedIn(java.awt.Polygon p)

  Overrides:
    `isContainedIn` in class `GObject`

### intersection

    public java.awt.Point intersection(java.awt.Point p)

  Overrides:
    `intersection` in class `GObject`

### getDimension

    public java.awt.Dimension getDimension()

  Overrides:
    `getDimension` in class `GObject`

### getBounds

    public java.awt.Rectangle getBounds()

  Overrides:
    `getBounds` in class `GObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.